﻿
using EonaCat.Sql.Extensions;
using System;
using System.Data.SqlClient;

namespace EonaCat.Sql
{
    public static class SqlTest
    {
        public static void Main(string[] args)
        {
            SqlHelper.IsWebSafe("SELECT * FROM alert('x');", out string errors);
            var test = new EonaCat.Logger.Managers.LogManager();
            test.Write("test", EonaCat.Logger.ELogType.ERROR);
            Console.WriteLine(errors);

            TestsqlServer();
        }

        private static async void TestsqlServer()
        {
            var customerId = "AROUT";
            var result = SqlHelper.ExecuteQuery(
                @"Server=localhost;Database=NorthWind;User Id=sa;Password=jeroen;TrustServerCertificate=Yes;",
                $"SELECT * FROM Customers WHERE CustomerID = @0 AND Country = @1"
                , true, customerId, "UK");

            foreach (var record in result)
            {
                Console.WriteLine(record.CustomerID);
                Console.WriteLine(record.ContactTitle);   
            }
            Console.ReadLine();
        }
    }
}